Get Infra Monitoring Leaked Flow Details
Returns a paginated list of unique (deduplicated) flow records for workloads that interact with a specific infrastructure service but are not protected by any published infra rule. These are "leaked" flows -- traffic involving an infra service server that falls outside the coverage of existing infra monitoring rules.
Notes:
start_timeis required. Eithersite_idorsite_idsmust also be provided.service_category_idis required. Obtain valid IDs from the/monitoring/infrastructure/service-categoriesAPI.workload_idsscopes results to specific workload VMs (up to 300 entries). A workload is the VM on the opposite side of the flow from the infra service server. If omitted, all uncovered flows from the workload side are returned.filtersaccepts up to 300 filter entries.- To export these results as a CSV file, use
POST /visualization/flow-analysis/infrastructure/monitoring/leaked-flow-details/export.
Request body for infrastructure monitoring leaked flow details
{
"start_time": 0,
"site_id": "17f7c7e5-7f8c-490a-97e9-b9c9193c45e1",
"service_category_id": "bc5907fd-4d95-436c-aaaf-972af34b2ca9",
"page_size": 50,
"offset": 0,
"filters": []
}
success
{
"offset": 0,
"number_of_results": 9,
"total_result_count": 9,
"total_pages": 1,
"sort_ascending": false,
"time_interval": {
"start_time": 0,
"end_time": 1782175585179
},
"results": [
{
"source": {
"groups": [],
"compute": {
"entity_type": "COMPUTE",
"compute_type": "VM",
"id": "503b7c79-dfbd-1f3d-eb47-b37a94d6fb29",
"reference_id": "503b7c79-dfbd-1f3d-eb47-b37a94d6fb29",
"name": "srv_new_vmx1",
"config_events": [],
"highlight": false
},
"apps": [],
"flow_type": "ALLOWED",
"rules": [
{
"id": "196742"
}
],
"jump_to_rules": [
{
"id": "196673"
}
]
},
"destination": {
"groups": [],
"compute": {
"entity_type": "COMPUTE",
"compute_type": "IP",
"id": "External",
"reference_id": "External",
"name": "External",
"config_events": [],
"highlight": false
},
"apps": [],
"configured_services": [
"NTP"
],
"protocol": "UDP",
"port": 123,
"flow_type": "UNKNOWN",
"rules": [
{
"id": "UNKNOWN"
}
],
"jump_to_rules": [
{
"id": "UNKNOWN"
}
]
},
"flow_info": {
"last_session_start_time": 1782174914,
"last_session_end_time": 1782174952,
"flow_type": "ALLOWED",
"is_active": false
}
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/flow-analysis/infrastructure/monitoring/leaked-flow-details